Ubuntu

Please merge xen 4.0.1-2 (main) from Debian unstable (main)

Reported by agent 8131 on 2009-05-19
72
This bug affects 5 people
Affects Status Importance Assigned to Milestone
xen (Ubuntu)
Wishlist
Unassigned
Declined for Karmic by Benjamin Drung
Declined for Lucid by Benjamin Drung

Bug Description

 xen-3 (3.4.0-2) unstable; urgency=low

   * Add symbols file for libxenstore3.0. (closes: #536173)
   * Document that ioemu is currently unsupported. (closes: #536175)
   * Fix location of fsimage plugins. (closes: #536174)

 -- Bastian Blank <email address hidden> Sat, 18 Jul 2009 18:05:35 +0200
xen-3 (3.4.0-1) unstable; urgency=low

   [ Bastian Blank ]
   * New upstream version.
   * Remove ioemu for now. (closes: #490409, #496367)
   * Remove non-pae hypervisor.
   * Use debhelper compat level 7.
   * Make the init script start all daemons.

 -- Bastian Blank <email address hidden> Tue, 30 Jun 2009 22:33:22 +0200

Boris Derzhavets (bderzhavets) wrote :

>The Xen 3.4 release contains a number of important new features and >updates compared to the 3.3 release including:

* The ability for the Xen hypervisor to load and boot bzImage pv_ops dom0 kernel
* The ability for the Xen tools to use the sysfs memory ballooning support provided by pv_ops dom0 kernel

Boris Derzhavets (bderzhavets) wrote :

Attempt of prevu packages from PPA named experimental for mikmak :-

root@ServerJaunty:/var/cache/prevu/jaunty-debs# ls -l *.deb
-rw-r--r-- 1 root root 153138 2009-05-24 15:21 libxen3_3.4.0-0~ppa4~jaunty1~9.04prevu1_amd64.deb
-rw-r--r-- 1 root root 243554 2009-05-24 15:21 libxen3-dev_3.4.0-0~ppa4~jaunty1~9.04prevu1_amd64.deb
-rw-r--r-- 1 root root 921364 2009-05-24 15:21 python-xen-3.4_3.4.0-0~ppa4~jaunty1~9.04prevu1_amd64.deb
-rw-r--r-- 1 root root 13560 2009-05-24 15:21 xen-docs-3.4_3.4.0-0~ppa4~jaunty1~9.04prevu1_amd64.deb
-rw-r--r-- 1 root root 570408 2009-05-24 15:21 xen-hypervisor-3.4_3.4.0-0~ppa4~jaunty1~9.04prevu1_amd64.deb
-rw-r--r-- 1 root root 4331608 2009-05-24 15:21 xen-utils-3.4_3.4.0-0~ppa4~jaunty1~9.04prevu1_amd64.deb

root@ServerJaunty:/var/cache/prevu/jaunty-debs# cat install.sh
dpkg -i libxen3_3.4.0-0~ppa4~jaunty1~9.04prevu1_amd64.deb \
libxen3-dev_3.4.0-0~ppa4~jaunty1~9.04prevu1_amd64.deb \
python-xen-3.4_3.4.0-0~ppa4~jaunty1~9.04prevu1_amd64.deb \
xen-docs-3.4_3.4.0-0~ppa4~jaunty1~9.04prevu1_amd64.deb \
xen-hypervisor-3.4_3.4.0-0~ppa4~jaunty1~9.04prevu1_amd64.deb \
xen-utils-3.4_3.4.0-0~ppa4~jaunty1~9.04prevu1_amd64.deb

. . . . . .

Setting up libxen3-dev (3.4.0-0~ppa4~jaunty1~9.04prevu1) ...
dpkg: dependency problems prevent configuration of python-xen-3.4:
 python-xen-3.4 depends on python-dev; however:
  Package python-dev is not installed.
dpkg: error processing python-xen-3.4 (--install):
 dependency problems - leaving unconfigured
Setting up xen-docs-3.4 (3.4.0-0~ppa4~jaunty1~9.04prevu1) ...
Setting up xen-hypervisor-3.4 (3.4.0-0~ppa4~jaunty1~9.04prevu1) ...
Searching for GRUB installation directory ... found: /boot/grub
Searching for default file ... found: /boot/grub/default
Testing for an existing GRUB menu.lst file ... found: /boot/grub/menu.lst
Searching for splash image ... none found, skipping ...
Found kernel: /boot/vmlinuz-2.6.28-11-server
Found kernel: /boot/memtest86+.bin
Updating /boot/grub/menu.lst ... done

dpkg: dependency problems prevent configuration of xen-utils-3.4:
 xen-utils-3.4 depends on python-xen-3.4; however:
  Package python-xen-3.4 is not configured yet.
dpkg: error processing xen-utils-3.4 (--install):
 dependency problems - leaving unconfigured
Processing triggers for man-db ...
Processing triggers for libc6 ...
ldconfig deferred processing now taking place
Errors were encountered while processing:
 python-xen-3.4
 xen-utils-3.4

Boris Derzhavets (bderzhavets) wrote :

Working port , just for now. Installation procedure reproduced 2 times :-
http://lxer.com/module/newswire/view/120598/index.html

mikmak (mikmak) wrote :

I don't know what prevu stuff is for, I've made packages for all ubuntu releases, that should do it ;)
my latest xen 3.4 packages are in my main PPA (not the experimental one) where I put what I consider "usable stuff"

if there are bugs in it , just tell me ;)

for the package maintainer, I've included a few patches that fixes quite important bugs in Xen 3.4.0, I believe you should consider them when you will do your own xen 3.4 source package.

Cheers,
Mik

agent 8131 (agent-8131) wrote :

Looks like 3.4.1 will be released in short order:

http://blog.xen.org/index.php/2009/06/05/release-candidate-xen-341/

Probably best to wait before any official packages are released.

Artur Rona (ari-tczew) wrote :

@mikmak, could you create a build (in version *ubuntu, without ppa) and attach the .diff.gz, orig.tar.gz and .dsc file? Then you can subscribe Ubuntu Sponsors for Universe. For second thing, can you test your package 3.4 for other bugs reported on launchpad? Maybe you can fix other bugs.

tags: added: needs-packaging
Brian Murray (brian-murray) wrote :

*** This is an automated message ***

This bug is tagged needs-packaging which identifies it as a request for a new package in Ubuntu. As a part of the managing needs-packaging bug reports specification, https://wiki.ubuntu.com/QATeam/Specs/NeedsPackagingBugs, all needs-packaging bug reports have Wishlist importance. Subsequently, I'm setting this bug's status to Wishlist.

Changed in xen-3.3 (Ubuntu):
importance: Undecided → Wishlist
Artur Rona (ari-tczew) on 2009-08-04
tags: removed: 3.4 needs-packaging xen
Artur Rona (ari-tczew) on 2009-08-05
description: updated
tags: added: merge
summary: - Upgrade Xen to 3.4
+ Please merge xen-3.4 from debian unstable
Artur Rona (ari-tczew) on 2009-08-05
summary: - Please merge xen-3.4 from debian unstable
+ Please merge xen-3.4 (3.4.0-2) from debian unstable

It took longer than I thought it would but Xen 3.4.1 has been released. There have been lots of bug fixes so that should be the version included with Ubuntu 9.10 if at all possible.

Evan Broder (broder) wrote :

I'm strongly opposed to merging in this package from Debian; I'd rather continue parallel development.

In my limited experience, I've been pretty dissatisfied with how the Debian maintainer has been handling bugs. For instance, notice that the package in Debian is currently being built without ioemu support, which means that there's no hardware virtualization support.

I agree with Evan; the Debian package is a disaster. A Xen package with no HVM support has no right to be called “Xen”. Also, the Debian package carries an invasive series of patches to completely change the filesystem layout, which makes it painful to maintain or modify (I’ve tried!); see <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=536174#10> for a taste of the problems that has caused.

mikmak (mikmak) wrote :

3.4.1 packages available in my PPA
tested and working for me

@artur, i will try to make *ubuntu packages based on these

Mik

mikmak (mikmak) wrote :
mikmak (mikmak) wrote :
mikmak (mikmak) wrote :
Artur Rona (ari-tczew) on 2009-08-13
Changed in xen-3.3 (Ubuntu):
status: New → Confirmed
Boris Derzhavets (bderzhavets) wrote :

Works for me.

Prevu build succeeded .
Attempt to install :-

dpkg -i libxen3_3.4.1-1ubuntu1~9.04prevu1_amd64.deb \
libxen3-dev_3.4.1-1ubuntu1~9.04prevu1_amd64.deb \
python-xen-3.4_3.4.1-1ubuntu1~9.04prevu1_amd64.deb \
xen-docs-3.4_3.4.1-1ubuntu1~9.04prevu1_amd64.deb \
xen-hypervisor-3.4_3.4.1-1ubuntu1~9.04prevu1_amd64.deb \
xen-utils-3.4_3.4.1-1ubuntu1~9.04prevu1_amd64.deb

root@ServerJaunty:/var/cache/prevu/jaunty-debs# ./install.sh
Selecting previously deselected package libxen3.
(Reading database ... 131736 files and directories currently installed.)
Unpacking libxen3 (from libxen3_3.4.1-1ubuntu1~9.04prevu1_amd64.deb) ...
Selecting previously deselected package libxen3-dev.
Unpacking libxen3-dev (from libxen3-dev_3.4.1-1ubuntu1~9.04prevu1_amd64.deb) ...
Selecting previously deselected package python-xen-3.4.
Unpacking python-xen-3.4 (from python-xen-3.4_3.4.1-1ubuntu1~9.04prevu1_amd64.deb) ...
Selecting previously deselected package xen-docs-3.4.
Unpacking xen-docs-3.4 (from xen-docs-3.4_3.4.1-1ubuntu1~9.04prevu1_amd64.deb) ...
Selecting previously deselected package xen-hypervisor-3.4.
Unpacking xen-hypervisor-3.4 (from xen-hypervisor-3.4_3.4.1-1ubuntu1~9.04prevu1_amd64.deb) ...
Selecting previously deselected package xen-utils-3.4.
Unpacking xen-utils-3.4 (from xen-utils-3.4_3.4.1-1ubuntu1~9.04prevu1_amd64.deb) ...
Setting up libxen3 (3.4.1-1ubuntu1~9.04prevu1) ...

Setting up libxen3-dev (3.4.1-1ubuntu1~9.04prevu1) ...
dpkg: dependency problems prevent configuration of python-xen-3.4:
 python-xen-3.4 depends on python-dev; however:
  Package python-dev is not installed.
dpkg: error processing python-xen-3.4 (--install):
 dependency problems - leaving unconfigured
Setting up xen-docs-3.4 (3.4.1-1ubuntu1~9.04prevu1) ...
Setting up xen-hypervisor-3.4 (3.4.1-1ubuntu1~9.04prevu1) ...
Searching for GRUB installation directory ... found: /boot/grub
Searching for default file ... found: /boot/grub/default
Testing for an existing GRUB menu.lst file ... found: /boot/grub/menu.lst
Searching for splash image ... none found, skipping ...
. . . . . . . . . .
Found kernel: /vmlinuz-2.6.29.6
Found kernel: /vmlinuz-2.6.28-11-server
Found kernel: /memtest86+.bin
Updating /boot/grub/menu.lst ... done

dpkg: dependency problems prevent configuration of xen-utils-3.4:
 xen-utils-3.4 depends on python-xen-3.4; however:
  Package python-xen-3.4 is not configured yet.
dpkg: error processing xen-utils-3.4 (--install):
 dependency problems - leaving unconfigured
Processing triggers for man-db ...
Processing triggers for libc6 ...
ldconfig deferred processing now taking place
Errors were encountered while processing:
 python-xen-3.4
 xen-utils-3.4

Ran in /etc/init.d, /etc/xen,/etc/xen/scripts following script :-

for W in `ls *.dpkg-new`
do
 V=`basename $W .dpkg-new`
 cp $W $V
done

to get Xen 3.4.1 Dom0 ( 2.6.29.6 xenified aka Suse kernel) working

Boris Derzhavets (bderzhavets) wrote :

Synaptic Manager reports python-xen-3.4 broken. "apt-get install" refuses to work unless
python-xen-3.4, xen-utils-3.4 got removed.

Boris Derzhavets (bderzhavets) wrote :

Removed python-xen-3.4, xen-utils-3.4 via Synaptic Manager.
Installed python-dev-all and executed :-

root@ServerJaunty:/var/cache/prevu/jaunty-debs# ./inst.sh
Selecting previously deselected package python-xen-3.4.
(Reading database ... 132811 files and directories currently installed.)
Unpacking python-xen-3.4 (from python-xen-3.4_3.4.1-1ubuntu1~9.04prevu1_amd64.deb) ...
Selecting previously deselected package xen-utils-3.4.
Unpacking xen-utils-3.4 (from xen-utils-3.4_3.4.1-1ubuntu1~9.04prevu1_amd64.deb) ...
Setting up python-xen-3.4 (3.4.1-1ubuntu1~9.04prevu1) ...
Setting up xen-utils-3.4 (3.4.1-1ubuntu1~9.04prevu1) ...

Evan Broder (broder) wrote :

mikmak: Could you rename the libxen3 package to libxen3-4? This has caused problems with conflicts between Xen 3.2 and 3.3 in backports in the past, and this would allow both 3.3 and 3.4 to exist in the same repository.

Boris Derzhavets (bderzhavets) wrote :

Xen 3.4.1 Xen Dom0 ( with 2.6.31-rc5 pvops) was setup on top of Ubuntu 9.10 Server (alpha 4),been installed on bare metal. It appears to be known issue with Grub2 when loading Xen host and came up already on Debian Lenny.
In case of Ubuntu 9.10 Server Xen host loading started and dropped to grub prompt after gave up waiting for root device.
menuentry "Xen 3.4.1 Ubuntu 9.10" {
set root (hd0,1)
multiboot (hd0,1)/xen-3.4.gz
module (hd0,1)/vmlinuz-2.6.31-rc5 root=/dev/sda2 ro console=tty0
module (hd0,1)/initrd-2..6.31-rc5.img
}
generated via /etc/grub.d/40_custom editing and running update-grub
Directive "root=UUID=...." switched off via editing /etc/default/grub and update-grub run.
Seems to be Grub2's multiboot implementation issue.
Mikmak's packages 3.4.1 work fine on 9.04, but won't help much on 9.10 with Grub2 issue in place.

mikmak (mikmak) wrote :

have you looked at http://<email address hidden>/msg10870.html
there seems to be a patch for grub2 and xen dom0

@evan : I will do that, this is a good idea

Cheers,
Mik

Boris Derzhavets (bderzhavets) wrote :

Loading Xen via GRUB2 on top Ubuntu Karmic Server (alpha 4)

   http://www.linuxtoday.com/it_management/2009090101935OSHESV

Boris Derzhavets (bderzhavets) wrote :

In meantime when loading the most recent 2.6.31 pvops kernel under Xen Unstable on top Ubuntu
9.10 Server (alpha 4, apt-get update, apt-get upgrade -> grub 1.97~beta2) i get a message the
/proc/xen is already mounted on xenfs, what causes daemon xend failure to start. Xen-bus appears
not to be activated during Dom0 loading.

Boris Derzhavets (bderzhavets) wrote :

Removing "xenfs" entry from /etc/fstab per http://xenbits.xen.org/xen-unstable.hg?rev/67201ec9ed79
allows to load Dom0 without message :-
/proc/xen is already mounted on xenfs ( xenfs is busy)
But , xend fails to startup again, regardless afterwards /etc/mtab does contain "xenfs" entry.

Chuck Short (zulcss) wrote :

Unfortunately we are past FF and we'll get this in for karmic+1

Changed in xen-3.3 (Ubuntu):
assignee: nobody → Chuck Short (zulcss)
Artur Rona (ari-tczew) on 2009-10-01
tags: added: patch
Chuck Short (zulcss) on 2009-10-08
Changed in xen-3.3 (Ubuntu):
assignee: Chuck Short (zulcss) → nobody
agent 8131 (agent-8131) wrote :

Xen 3.4.2 was released around Nov 10th. As much as I'm looking forward to Xen 4.0 I suspect 3.4.2 is the better choice for Ubuntu 10.04. Xen 3.4.2 is available in Debian testing but I can understand if people would rather continue the separate development. Regardless of how it happens it would be good to see Xen 3.4.2 included in Ubuntu 10.04.

Chuck Short (zulcss) wrote :

Im setting this as wont fix because Ill probably package xen-4.0 when it is released in january for lucid.

Thanks anyways.

Regards
chuck

Changed in xen-3.3 (Ubuntu):
status: Confirmed → Won't Fix
agent 8131 (agent-8131) on 2010-03-12
Changed in xen-3.3 (Ubuntu):
status: Won't Fix → Confirmed
agent 8131 (agent-8131) wrote :

Unsurprisingly Xen 4.0 has not yet been released. Debian currently has 3.4.3rc3 in testing/squeeze. Lucid still has 3.3.0 and no Xen dom0 kernel. I get the sense that Ubuntu is going to have no path forward for 8.04 Xen servers. That's probably for the best as migrating away from Ubuntu for Xen server administrators is probably the smartest course of action.

We have been successfully using a xen hypervisor 4.0.0-rc3 build on Ubuntu
9.10.
I would think that packaging either this version or 3.4.x as an interim xen
server release for Ubuntu would be a desirable option as it would provide a
viable migration pack from 8.04 Xen servers.

-Bruce

On Fri, Mar 12, 2010 at 1:22 PM, agent 8131 <email address hidden> wrote:

> Unsurprisingly Xen 4.0 has not yet been released. Debian currently has
> 3.4.3rc3 in testing/squeeze. Lucid still has 3.3.0 and no Xen dom0
> kernel. I get the sense that Ubuntu is going to have no path forward for
> 8.04 Xen servers. That's probably for the best as migrating away from
> Ubuntu for Xen server administrators is probably the smartest course of
> action.
>
> --
> Please merge xen-3.4 (3.4.0-2) from debian unstable
> https://bugs.launchpad.net/bugs/378240
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Hi!

 I'm running the Xen 4.0.0-rc8 with Linux 2.6.32.10 as dom0 using the new paravirt_ops on top of Ubuntu Lucid 10.4 64bits.
 Also I have the composite window manager on top of the Xen! With full 3D support!

 To achieve this I do:

1- Install your Ubuntu Desktop 10.4 beta1 and upgrade your system;

1.1 - Install some packages:

 aptitude install build-essential libncurses5-dev dpkg-dev debhelper fakeroot

2- Download and install a new kernel with dom0 pv_ops enabled:

 sudo -s
 cd /usr/src
 git clone git://git.kernel.org/pub/scm/linux/kernel/git/jeremy/xen.git linux-2.6-xen
 cd linux-2.6-xen
 git pull
 git reset --hard
 git checkout -b xen/stable origin/xen/stable
 git pull

2.1 - Download the kernel config file attached to this mail (config-for-xen-2.6.32.10-pvops):

 Copy the config file to the kernel source dir:

 cp ~Downloads/config-for-xen-2.6.32.10-pvops /usr/src/linux-2.6-xen/.config

 You can see the differences of my config file against the Lucid one:

 diff /boot/config-2.6.32-17-generic ~Downloads/config-for-xen-2.6.32.10-pvops | vim -

 ...both are close to each other.

2.2 Configure, compile and install:

 make menuconfig # Enable the dom0 support and the Xen backend/frontend/xenfs stuffs...
 make
 chmod g-s /usr/src -R # To avoid the error: "dpkg-deb: control directory has bad permissions 2755 (must be >=0755 and <=0775)"
 make dep-pkg
 dpkg -i ../linux-image*2.6.32.10*.deb
 depmod 2.6.32.10
 update-initramfs -c -k 2.6.32.10
 update-grub
 echo "xen-evtchn" >> /etc/modules

 Now you can try your new kernel without Xen, if you want, it should work smootly.

3- Download and install the latest Xen:

 Preparing your environment:

 apt-get build-dep xen-3.3
 aptitude install uuid-dev iasl texinfo

 Download and compile:

 cd /usr/src
 hg clone -r 4.0.0-rc8 http://xenbits.xensource.com/xen-unstable.hg
 cd xen-unstable.hg
 make xen
 make tools
 make stubdom
 make install-xen
 make install-tools PYTHON_PREFIX_ARG=
 make install-stubdom

 update-rc.d xend defaults 20 21
 update-rc.d xendomains defaults 21 20

4- Configuring your Grub2 through the file /etc/grub.d/40_custom:

---- cut here ----
#!/bin/sh
exec tail -n +3 $0
# This file provides an easy way to add custom menu entries. Simply type the
# menu entries you want to add after this comment. Be careful not to change
# the 'exec tail' line above.
menuentry "Xen 4.0.0-rc8 / Ubuntu 10.4 kernel 2.6.32.10 pvops" {
insmod ext2
set root=(hd0,1)
multiboot (hd0,1)/xen-4.0.0-rc8.gz dummy=dummy
module (hd0,1)/vmlinuz-2.6.32.10 dummy=dummy root=/dev/mapper/HyperDeskVG01-tcmc--dell--lucid ro
module (hd0,1)/initrd.img-2.6.32.10
}
---- cut here ----

 Don't forget to change your "root=" option of your Linux!

 Run update-grub again:

 update-grub

5- Reboot into your new dom0!

 reboot

6- Look if your Xen is up and running

 xm list
 xm info

 .. if not:

/etc/init.d/xendomains stop
/etc/init.d/xend stop
/etc/init.d/xend start
/etc/init.d/xendomains start

 xm list
 xm info

-
 Cheers!
 Thiago

Download full text (3.8 KiB)

Nice!!

Thanks for the info.

This is a strong argument for getting this into 10.4. No other distro has a
pre-packages Xen dom0 with a kernel from this century, let alone with nvidia
drivers working.

The last LTS release had dom0 support so this one should too. (IMHO)

-Bruce

On Fri, Mar 26, 2010 at 7:54 AM, Thiago Martins
<email address hidden>wrote:

> Hi!
>
> I'm running the Xen 4.0.0-rc8 with Linux 2.6.32.10 as dom0 using the new
> paravirt_ops on top of Ubuntu Lucid 10.4 64bits.
> Also I have the composite window manager on top of the Xen! With full 3D
> support!
>
> To achieve this I do:
>
> 1- Install your Ubuntu Desktop 10.4 beta1 and upgrade your system;
>
> 1.1 - Install some packages:
>
> aptitude install build-essential libncurses5-dev dpkg-dev debhelper
> fakeroot
>
> 2- Download and install a new kernel with dom0 pv_ops enabled:
>
> sudo -s
> cd /usr/src
> git clone git://git.kernel.org/pub/scm/linux/kernel/git/jeremy/xen.gitlinux-2.6-xen
> cd linux-2.6-xen
> git pull
> git reset --hard
> git checkout -b xen/stable origin/xen/stable
> git pull
>
> 2.1 - Download the kernel config file attached to this mail (config-for-
> xen-2.6.32.10-pvops):
>
> Copy the config file to the kernel source dir:
>
> cp ~Downloads/config-for-xen-2.6.32.10-pvops
> /usr/src/linux-2.6-xen/.config
>
> You can see the differences of my config file against the Lucid one:
>
> diff /boot/config-2.6.32-17-generic ~Downloads/config-for-
> xen-2.6.32.10-pvops | vim -
>
> ...both are close to each other.
>
> 2.2 Configure, compile and install:
>
> make menuconfig # Enable the dom0 support and the Xen
> backend/frontend/xenfs stuffs...
> make
> chmod g-s /usr/src -R # To avoid the error: "dpkg-deb: control
> directory has bad permissions 2755 (must be >=0755 and <=0775)"
> make dep-pkg
> dpkg -i ../linux-image*2.6.32.10*.deb
> depmod 2.6.32.10
> update-initramfs -c -k 2.6.32.10
> update-grub
> echo "xen-evtchn" >> /etc/modules
>
> Now you can try your new kernel without Xen, if you want, it should
> work smootly.
>
> 3- Download and install the latest Xen:
>
> Preparing your environment:
>
> apt-get build-dep xen-3.3
> aptitude install uuid-dev iasl texinfo
>
> Download and compile:
>
> cd /usr/src
> hg clone -r 4.0.0-rc8 http://xenbits.xensource.com/xen-unstable.hg
> cd xen-unstable.hg
> make xen
> make tools
> make stubdom
> make install-xen
> make install-tools PYTHON_PREFIX_ARG=
> make install-stubdom
>
> update-rc.d xend defaults 20 21
> update-rc.d xendomains defaults 21 20
>
> 4- Configuring your Grub2 through the file /etc/grub.d/40_custom:
>
> ---- cut here ----
> #!/bin/sh
> exec tail -n +3 $0
> # This file provides an easy way to add custom menu entries. Simply type
> the
> # menu entries you want to add after this comment. Be careful not to
> change
> # the 'exec tail' line above.
> menuentry "Xen 4.0.0-rc8 / Ubuntu 10.4 kernel 2.6.32.10 pvops" {
> insmod ext2
> set root=(hd0,1)
> multiboot (hd0,1)/xen-4.0.0-rc8.gz dummy=dummy
> module (hd0,1)/vmlinuz-2.6.32.10 dummy=dummy
> root=/dev/mapper/HyperDeskVG01-tcmc--dell--lucid ro
> module (hd0,1)/initrd.img-2.6.32.10
> }
> ---- cut here ----
>
> Don...

Read more...

Packaging is a problem. Direct builds along with hg & git cloning was never problem on Ubuntu 9.10,9.04 Severs
However, Xen Dom0 support or even just a recent Xen Hypervisor was NOT integrated in Ubuntu Karmic Koala Server, Ubuntu Jaunty Server. Moreover :-
# apt-get install ubuntu-virt-server ubuntu-virt-mgmt
put vitrt-install & virt-manager in work with Xen Hypervisor (with correspondingly modified /etc/xen/xend-config.sxp and setting Xen
as preferred hypervisor via root's .bashrc )
On Ubuntu Karmic Koala Server :-
Virt-install allows to install PV & HVM DomUs
Virt-manager allows to install PV DomUs via HTTP sources ( local or remote) and manage any domain created via virt-install.
virsh been compiled against libvirt 0.7.0 just fails to create DomUs when version of Xen goes to 4.0.
That the reason when i keep 3.4.3 on development boxes.
A lot of this stuff was published, view :-
http://www.linuxtoday.com/search.php3?query=derzhavets

Thiago Martins (martinx) wrote :

Would be awesome if we can have the Xen 3.4 in Lucid! The Debian Sid already have a 2.6.32 dom0 kernel!

User Virtual (virtualusr) wrote :

Xen-4.0 source & kernels packaged for Ubuntu

http://virtualusr.wordpress.com/2010/05/18/xen-4-0-source-kernels-packaged-for-ubuntu/

Tested on Ubuntu 9.10 and 10.4 with 64bit AMD 2 core CPU (AMD Athlon(tm) II X2 250). Intel-64bit and i686-32bit not tested, might need some tweak in .config generation code. Tested running 32 bit OpenSUSE 11.2 and 64bit Ubuntu 10.4 as a domU-s in 64bit Ubuntu server 9.10 dom0.

Enjoy Ubuntu Xen4.0 server
-
 Cheers

Adrian Stachowski (ast) wrote :

@User Virtual:

Sorry mate, "./packageXen400.sh" isn't working anymore as it pulls XEN 4.0.1rc1 and not XEN 4.0.0.

User Virtual (virtualusr) wrote :

Xen 4.0.1-rc1 source & kernels packaged for Ubuntu

http://virtualusr.wordpress.com/2010/05/26/xen-4-0-1-rc1-source-kernels-packaged-for-ubuntu/

Ubuntu-package latest “xen 4.0″ by:

./packageXen40x.sh RELEASE-4.0.0
# or
./packageXen40x.sh 4.0.1-rc1
# or
./packageXen40x.sh # latest tagged release, today same as above

WARNING: No warranty whatsoever! This happens to work for me, while it may or may not work for you. I may or may not have time to update this if it breaks again... Anyone is welcome to continue, it should not be too hard.

Download full text (3.8 KiB)

Here's a Xen boot config generator for /etc/grub.d so you don't have to
manually create a 40-xen each time.

-Bruce

===cut===
#!/bin/bash -e
#===============================================================================
#
# FILE: 09_xen
#
# USAGE: update-grub ... with this in /etc/grub.d
#
# DESCRIPTION: Generate grub2 boot stanza for Xen systems
# Xen boot entries are automatically added to
grub.cfg
# The 09-... name prefix puts the Xen boot
entries before
# the linux kernel entries
#
# OPTIONS: ---
# REQUIREMENTS: --- grub2, Xen hypervisor
# BUGS: --- probably
# NOTES: --- Copied from 10_linux with a few hacks to make ir work
for Xen.
# Incorporated suggestions to only do
this for valid dom0 kernels
# AUTHOR: Bruce Edge (BRE), <email address hidden>
# COMPANY: LSI
# VERSION: 1.0
# CREATED: 05/19/2010 02:32:34 PM PDT
# REVISION: ---
#===============================================================================

prefix=/usr
exec_prefix=${prefix}
libdir=${exec_prefix}/lib
. ${libdir}/grub/update-grub_lib

if [ "x${GRUB_DISTRIBUTOR}" = "x" ] ; then
  OS=GNU/Linux
else
  OS="${GRUB_DISTRIBUTOR}"
fi

# Source grub defaults
. /etc/default/grub

# loop-AES arranges things so that /dev/loop/X can be our root device, but
# the initrds that Linux uses don't like that.
case ${GRUB_DEVICE} in
  /dev/loop/*|/dev/loop[0-9])
    GRUB_DEVICE=`losetup ${GRUB_DEVICE} | sed -e
"s/^[^(]*(\([^)]\+\)).*/\1/"`
  ;;
esac

if [ "x${GRUB_DEVICE_UUID}" = "x" ] || [ "x${GRUB_DISABLE_LINUX_UUID}" =
"xtrue" ] \
    || ! test -e "/dev/disk/by-uuid/${GRUB_DEVICE_UUID}" ; then
  LINUX_ROOT_DEVICE=${GRUB_DEVICE}
else
  LINUX_ROOT_DEVICE=UUID=${GRUB_DEVICE_UUID}
fi

test_gt ()
{
  local a=`echo $1 | sed -e
"s,.*/vmlinu[zx]-,,g;s/[._-]\(pre\|rc\|test\|git\|old\)/~\1/g"`
  local b=`echo $2 | sed -e
"s,.*/vmlinu[zx]-,,g;s/[._-]\(pre\|rc\|test\|git\|old\)/~\1/g"`
  if [ "x$b" = "x" ] ; then
    return 0
  fi
  dpkg --compare-versions "$a" gt "$b"
  return $?
}

find_latest ()
{
  local a=""
  for i in $@ ; do
    if test_gt "$i" "$a" ; then
      a="$i"
    fi
  done
  echo "$a"
}

list=`for i in /boot/vmlinu[xz]-* /vmlinu[xz]-* ; do
        if grub_file_is_not_garbage "$i" && grep -q 'DOM0=y'
${i/vmlinu[xz]/config} ; then echo -n "$i " ; fi
      done`

grep -q GRUB_CMDLINE_XEN_DEFAULT /etc/default/grub || list=""

while [ "x$list" != "x" ] ; do
  linux=`find_latest $list`
  echo "Found linux image: $linux" >&2
  basename=`basename $linux`
  dirname=`dirname $linux`
  rel_dirname=`make_system_path_relative_to_its_root $dirname`
  version=`echo $basename | sed -e "s,^[^0-9]*-,,g"`
  alt_version=`echo $version | sed -e "s,\.old$,,g"`
  linux_root_device_thisversion="${LINUX_ROOT_DEVICE}"

  initrd=
  for i in "initrd.img-${version}" "initrd-${version}.img" \
           "initrd.img-${alt_version}" "initrd-${alt_version}.img"; do
    if test -e "${dirname}/${i}" ; then
      initrd="$i"
      break
    fi
  done
  if test -n "${initrd}" ; then
    echo "Found initrd image:...

Read more...

Xen 4.0.1-rc1 source & kernels packaged for Ubuntu - UPDATE

http://virtualusr.wordpress.com/2010/05/26/xen-4-0-1-rc1-source-kernels-packaged-for-ubuntu/

Corrected package dependency error preventing install of the latest 4.0.1rc1-0ubuntu1. I am running this at the moment.

Regards

Boris Derzhavets (bderzhavets) wrote :

@User Virtual
Could you be so kind to provide *.diff.gz and *.orig.tar.gz files ( like for 3.4.1)
I understand how you make *.orig.tar.gz . Should be the same way as for Fedora's xen-4.0.1.fc13.src.rpm.
Your link seems to be for myself a kind of charade. I need to understand what i am doing,
otherwise
1. hg clone http://xenbits.xensource.com/xen-4.0-testing.hg
2. cd *.hg
    Change $CONFIG_QEMU in Config.mk
3. git clone http://xenbits.xensource.com/git-http/qemu-xen-4.0-testing.git qemu-xen.git
4. cd ../
5. cp -R xen-4.0-testing.hg xen-4.0.1
6. Create xen-4.0.1.tar.gz and replicate it over landscape - 30-40 min procedure.

Boris Derzhavets (bderzhavets) wrote :

Sorry, I've got files for prevu via "sh" run
Thanks.

Boris Derzhavets (bderzhavets) wrote :

Build succeed:-

root@ServerLDX:/usr/src/build# find . -name "*.deb" -print
./400/xen-docs-4.0_4.0.1rc1-0ubuntu1_all.deb
./400/libxen4-dev_4.0.1rc1-0ubuntu1_amd64.deb
./400/libxen4_4.0.1rc1-0ubuntu1_amd64.deb
./400/xen-hypervisor-4.0_4.0.1rc1-0ubuntu1_amd64.deb
./400/xen-utils-4.0_4.0.1rc1-0ubuntu1_amd64.deb
./400/python-xen-4.0_4.0.1rc1-0ubuntu1_amd64.deb

Boris Derzhavets (bderzhavets) wrote :

@User Virtual
Yours packageXen40x.sh does

sudo apt-get install libcurl4-openssl-dev xserver-xorg-dev mercurial gitk build-essential libncurses5-dev uuid-dev gawk gettext texinfo bcc libncurses5-dev dpkg-dev debhelper iasl texinfo catdvi fakeroot
sudo apt-get build-dep xen-3.3

On the other hand :-

# hg clone -r 4.0.1-rc1 http://xenbits.xensource.com/xen-4.0-testing.hg
# cd *.hg
# apt-get remove bison flex
# make tools
. . . . . .

make[3]: flex: Command not found
make[3]: *** [libxlu_cfg_l.c] Error 127
make[3]: Leaving directory `/usr/src2/xen-4.0-testing.hg/tools/libxl'
make[2]: *** [subdir-install-libxl] Error 2
make[2]: Leaving directory `/usr/src2/xen-4.0-testing.hg/tools'
make[1]: *** [subdirs-install] Error 2
make[1]: Leaving directory `/usr/src2/xen-4.0-testing.hg/tools'
make: *** [install-tools] Error 2

Boris Derzhavets (bderzhavets) wrote :

Hence,
# ./packageXen40x.sh 4.0.1-rc1
should fail. However, it succeed. I hardly believe,that xen-4.0_4.0.1rc1-0ubuntu1.diff.gz is correct.

Boris Derzhavets (bderzhavets) wrote :

@User Virtual
Make a couple of checks :-
root@ServerLDX:/usr/src/build/400/xen-4.0.1rc1/debian/patches# ls -l
total 36
-rw-r--r-- 1 root root 476 2010-06-13 21:42 fix-blktap2.diff
-rw-r--r-- 1 root root 845 2010-06-13 21:42 fix-pvgrub.diff
-rw-r--r-- 1 root root 651 2010-06-13 21:42 grub2-fix.patch
-rw-r--r-- 1 root root 1702 2010-06-13 21:42 init.d_xen.diff
-rw-r--r-- 1 root root 1701 2010-06-13 21:42 init.d_xen.diff.ORG
-rw-r--r-- 1 root root 778 2010-06-13 21:42 misc-docs.diff
-rw-r--r-- 1 root root 111 2010-06-13 21:42 series
-rw-r--r-- 1 root root 1715 2010-06-13 21:42 use-python-2.6.diff
-rw-r--r-- 1 root root 507 2010-06-13 21:42 xen-ubuntu-fix-resync.diff

1. Are you attempting to apply second time grub2-fix.patch , which is already a CS in 4.0.1-rc1 ?
2. Are you attempting to load xen-evtchn module at xend start init.d_xen.diff ?

+# Load the xen-evtchn module
+test "x$1" = xstart && \
+if ! grep "^xen[-_]evtchn " /proc/modules; then
+ modprobe -v xen-evtchn
+ if ! grep "^xen[-_]evtchn " /proc/modules; then
+ echo "Error: Load module xen-evtchn failed. Exit."
+ exit 1
+ fi
+fi
+
It might be just hard linked to pvops kernel.
I am not a debian person, could you ,please, explain what's going on here ?

Boris Derzhavets (bderzhavets) wrote :

@User Virtual
  I believe to be done with yours charade ;)
Reproduced your build for 4.0.1-rc2 :-

# cp xen-4.0_4.0.1rc1-0ubuntu1.diff.gz xen-4.0_4.0.1rc2-0ubuntu1.diff.gz
# ./packageXen40x.sh 4.0.1-rc2

Build succeed:-
root@ServerLDX:/usr/src/build# find . -name "*.deb" -print
./400/xen-docs-4.0_4.0.1rc1-0ubuntu1_all.deb
./400/libxen4-dev_4.0.1rc1-0ubuntu1_amd64.deb
./400/libxen4_4.0.1rc1-0ubuntu1_amd64.deb
./400/xen-hypervisor-4.0_4.0.1rc1-0ubuntu1_amd64.deb
./400/xen-utils-4.0_4.0.1rc1-0ubuntu1_amd64.deb
./400/python-xen-4.0_4.0.1rc1-0ubuntu1_amd64.deb

Actually , it matches 4.0.1-rc2 . Installed debian packages been built and loaded JF's 2.6.32.15 ( which requires rc2)
under yours Xen 4.0.1-rc2 Hypervisor

Made sure:-
root@ServerLNX:/dev/xen# ls -l
total 0
crw-rw---- 1 root root 10, 60 2010-06-17 16:15 evtchn
crw-rw---- 1 root root 10, 59 2010-06-17 16:15 gntdev

It's a fair . Udev created evtchn device required for successful xend start under pvops 2.6.32.(x)
Edited your xend , removing attempt to load xen-evtchn module, which was hard linked with 2.6.32.15

# /etc/init.d/xend start

root@ServerLNX:~# xm info
host : ServerLNX
release : 2.6.32.15
version : #8 SMP Sun Jun 13 14:34:17 MSD 2010
machine : x86_64
nr_cpus : 2
nr_nodes : 1
cores_per_socket : 2
threads_per_core : 1
cpu_mhz : 2999
hw_caps : bfebfbff:20100800:00000000:00000940:0008e3fd:00000000:00000001:00000000
virt_caps : hvm
total_memory : 8191
free_memory : 1666
node_to_cpu : node0:0-1
node_to_memory : node0:1666
node_to_dma32_mem : node0:805
max_node_id : 0
xen_major : 4
xen_minor : 0
xen_extra : .1-rc2
xen_caps : xen-3.0-x86_64 xen-3.0-x86_32p hvm-3.0-x86_32 hvm-3.0-x86_32p hvm-3.0-x86_64
xen_scheduler : credit
xen_pagesize : 4096
platform_params : virt_start=0xffff800000000000
xen_changeset : unavailable
xen_commandline :
cc_compiler : gcc version 4.4.3 (Ubuntu 4.4.3-4ubuntu5)
cc_compile_by : root
cc_compile_domain :
cc_compile_date : Thu Jun 17 15:24:31 MSD 2010
xend_config_format : 4

root@ServerLNX:~# brctl show
bridge name bridge id STP enabled interfaces
eth1 8000.00221563f99f no peth1
virbr0 8000.000000000000 yes

root@ServerLNX:~# virsh version
Compiled against library: libvir 0.8.1
Using library: libvir 0.8.1
Using API: Xen 3.0.1
Running hypervisor: Xen 4.0.0

I also believe , that it's possible to write a proper one xen-4.0_4.0.1rc2-0ubuntu1.diff.gz
to create debian packages supposed to install Xen 4.0.1-rc2 and load 2.6.32.15 pvops
for Dom0 support with xend starting with no issues.

User Virtual (virtualusr) wrote :

Xen 4.0.1-rc2 … source & kernels packaged for Ubuntu

http://virtualusr.wordpress.com/2010/06/17/xen-4-0-1-rc2-source-kernels-packaged-for-ubuntu/

News:
1. Tags kernel packages uniquely with UTC time stamp of the git CommitDate: to xen/stable-2.6.32.x. Now, we can see the exact commit that kernel package was generated from in its debian package version.
2. Xen 4.0.1-rc2, (and hopefully -rc3,...) is built automatically.
* Boris Derzhavets note above "Edited your xend , removing attempt to load xen-evtchn module, which was hard linked with 2.6.32.15" not taken into account yet. Will be soon.

Regards

User Virtual (virtualusr) wrote :

UPDATED: Xen 4.0.1-rc2 … source & kernels packaged for Ubuntu
http://virtualusr.wordpress.com/2010/06/17/xen-4-0-1-rc2-source-kernels-packaged-for-ubuntu/

News:
1. Load xen-evtchn module only if the device is missing. (Thanks to Boris Derzhavets)
2. Major cleanup. diff.gz reduced from 26k to 19k.
3. Moved udev 40-xen-utils-4.0.rules to 40-xen-hypervisor-4.0.rules, it seems to better fit there.

Regards

Boris Derzhavets (bderzhavets) wrote :

Device /dev/xen/evtchn should be created by udevd daemon during Dom0 load under Xen 4.0.1 & 2.6.32.X pvops.
Any attempt to fix it at xend startup when Dom0 gets loaded is useless. Please, address this question to xen-devel mailing list

Boris Derzhavets (bderzhavets) wrote :
Download full text (5.8 KiB)

@User Virtual
Please , be aware about random dmesg stack traces under Xen-4.0.1-rc2
EXT4-fs (sda10): mounted filesystem with ordered data mode
BUG: unable to handle kernel paging request at ffff8801e07bbbe0
IP: [<ffffffff8100e895>] xen_set_pmd+0x24/0x44
PGD 1002067 PUD f374067 PMD f478067 PTE 80100001e07bb065
Oops: 0003 [#1] SMP
last sysfs file: /sys/devices/virtual/block/dm-2/dm/suspended
CPU 0
Modules linked in: snd_hda_codec_atihdmi snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_seq_dummy snd_pcm_oss snd_mixer_oss snd_pcm snd_seq_oss snd_seq_midi snd_rawmidi snd_seq_midi_event lp snd_seq snd_timer snd_seq_device parport snd soundcore snd_page_alloc asus_atk0110 ata_generic pata_acpi floppy r8169 mii pata_jmicron
Pid: 3591, comm: udevd Not tainted 2.6.32.15 #16 System Product Name
RIP: e030:[<ffffffff8100e895>] [<ffffffff8100e895>] xen_set_pmd+0x24/0x44
RSP: e02b:ffff8801e76dfb18 EFLAGS: 00010246
RAX: 0000000000000000 RBX: ffff8801e07bbbe0 RCX: ffffc00000000f98
RDX: ffffea0000000000 RSI: 0000000000000000 RDI: ffff8801e07bbbe0
RBP: ffff8801e76dfb28 R08: 00007fbb32a0d000 R09: ffff8801e685bd98
R10: 0000000000000000 R11: ffff8801db3271c0 R12: 0000000000000000
R13: ffff880028046970 R14: ffff8801e07bbbe0 R15: ffff8801e52897f8
FS: 00007fbb3087b7a0(0000) GS:ffff880028038000(0000) knlGS:0000000000000000
CS: e033 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: ffff8801e07bbbe0 CR3: 00000001e2da5000 CR4: 0000000000002660
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process udevd (pid: 3591, threadinfo ffff8801e76de000, task ffff8801da4ca200)
Stack:
 00007fbb2fa00000 00007fbb30ab8000 ffff8801e76dfbe8 ffffffff810e35ef
<0> ffff8801e9b179f0 0000000000000001 ffff8801e76dfb98 00007fbb2f600000
<0> 00007f8000000000 00007fbb00000000 00007fbb30ab7fff 00007fbb30ab7fff
Call Trace:
 [<ffffffff810e35ef>] free_pgd_range+0x213/0x397
 [<ffffffff810e3817>] free_pgtables+0xa4/0xc7
 [<ffffffff810e71fa>] exit_mmap+0xf5/0x12d
 [<ffffffff810528e3>] mmput+0x59/0xcc
 [<ffffffff8110f6d5>] flush_old_exec+0x486/0x565
 [<ffffffff8114a6c8>] load_elf_binary+0x2ed/0x17a1
 [<ffffffff810e4e19>] ? __get_user_pages+0x38b/0x42c
 [<ffffffff81147f63>] ? load_misc_binary+0x6e/0x362
 [<ffffffff811eb32d>] ? ima_iint_find_get+0x29/0x2f
 [<ffffffff811ea35f>] ? T.456+0xbb/0xd2
 [<ffffffff8110ef1a>] search_binary_handler+0xce/0x260
 [<ffffffff8114a3db>] ? load_elf_binary+0x0/0x17a1
 [<ffffffff81110547>] do_execve+0x1cc/0x2b9
 [<ffffffff810114c4>] sys_execve+0x3e/0x55
 [<ffffffff81012f9a>] stub_execve+0x6a/0xc0
Code: 48 83 c4 18 5b c9 c3 55 48 89 e5 41 54 49 89 f4 53 48 89 fb e8 a1 e2 ff ff 48 89 df ff 05 6c 48 9b 00 e8 2b e5 ff ff 84 c0 75 05 <4c> 89 23 eb 16 e8 85 e2 ff ff 4c 89 e6 48 89 df ff 05 51 48 9b
RIP [<ffffffff8100e895>] xen_set_pmd+0x24/0x44
 RSP <ffff8801e76dfb18>
CR2: ffff8801e07bbbe0
---[ end trace d5ce5bc928ef5d16 ]---

I would check dmesg output on your own box.?field.comment=@User Virtual
Please , be aware about random dmesg stack traces under Xen-4.0.1-rc2
EXT4-fs (sda10): mounted filesystem with ordered data mode
BUG: unable to handle kernel paging request at ffff8801e07...

Read more...

User Virtual (virtualusr) wrote :

@Boris Derzhavets

Device /dev/xen/evtchn is at the moment loaded by udevd here as well. I have this code back from some previous attempts when it did not work (maybe RELEASE-4.0.0). However the other device mentioned in docs /dev/xen/gntdev is still missing here (Ubuntu 9.10 karmic, kernel compiled with CONFIG_XEN_GNTDEV=y CONFIG_XEN_DEV_EVTCHN=y). I know I could create it manually but I want it as designed. Everything seems to work even without this /dev/xen/gntdev.
I will probably remove this module loading from init.d/xend as soon as devices are actually created by udevd here.

I have no such warnings at the moment. Only this ... I hope it's not dangerous.
root@x0:/var/log/xen# dmesg | grep "Modules linked in" -C5
[ 0.012731] CPU: Processor Core ID: 0
[ 0.012757] Performance Events: AMD PMU driver.
[ 0.012803] ------------[ cut here ]------------
[ 0.012833] WARNING: at arch/x86/xen/enlighten.c:731 xen_apic_write+0x15/0x20()
[ 0.012861] Hardware name: System Product Name
[ 0.012886] Modules linked in:
[ 0.012932] Pid: 0, comm: swapper Not tainted 2.6.32.13-xen #1
[ 0.012958] Call Trace:
[ 0.012986] [<ffffffff8105d658>] warn_slowpath_common+0x78/0xb0
[ 0.013013] [<ffffffff8105d69f>] warn_slowpath_null+0xf/0x20
[ 0.013041] [<ffffffff8100b665>] xen_apic_write+0x15/0x20
[ 0.013068] [<ffffffff810214a1>] perf_events_lapic_init+0x31/0x40
[ 0.013096] [<ffffffff818fd312>] init_hw_perf_events+0x34f/0x3ec
[ 0.013123] [<ffffffff818fce1e>] identify_boot_cpu+0x3c/0x3e
[ 0.013150] [<ffffffff818fcf9f>] check_bugs+0x9/0x2d
[ 0.013177] [<ffffffff818f4d7e>] start_kernel+0x3e3/0x3f9
[ 0.013204] [<ffffffff818f433a>] x86_64_start_reservations+0x125/0x129
[ 0.013231] [<ffffffff818f81a1>] xen_start_kernel+0x6a1/0x6a8
[ 0.013262] ---[ end trace a7919e7f17c0a725 ]---

User Virtual (virtualusr) wrote :

UPDATED Xen 4.0.1-rc2 … source & kernels packaged for Ubuntu
http://virtualusr.wordpress.com/2010/06/17/xen-4-0-1-rc2-source-kernels-packaged-for-ubuntu/
Updated 2010-06-21
 * Major cleanup. One diff.gz for all versions.
 * Creates all inclusive orig.source.gz skipping downloads on repeated builds.

Boris Derzhavets (bderzhavets) wrote :

> Everything seems to work even without this /dev/xen/gntdev.

Try Libvirt 0.8.1 via Daniel Baumann Virtualization PPA

http://wiki.xensource.com/xenwiki/Xen4.0
Tutorials to install Xen 4.0
  * Xen 4.0 on Ubuntu 10.04: http://bderzhavets.wordpress.com/2010/04/24/set-up-ubuntu-10-04-server-pv-domu-at-xen-4-0-dom0-pvops-2-6-32-10-kernel-dom0-on-top-of-ubuntu-10-04-server/
  * Xen 4.0 + virt-manager on Ubuntu 10.04: http://bderzhavets.wordpress.com/2010/06/02/setup-libvirt-0-8-0-xen-4-0-on-top-of-ubuntu-10-04-server-via-daniel-baumann-virtualization-ppa/

Boris Derzhavets (bderzhavets) wrote :

In meantime :-
root@ServerLDX:~/build250610# wget http://virtualusr.files.wordpress.com/2010/06/mk-xen40x10.doc
--2010-06-21 14:06:45-- http://virtualusr.files.wordpress.com/2010/06/mk-xen40x10.doc
Resolving virtualusr.files.wordpress.com... 74.200.247.186, 76.74.254.118, 76.74.254.122, ...
Connecting to virtualusr.files.wordpress.com|74.200.247.186|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 42496 (42K) [application/msword]
Saving to: `mk-xen40x10.doc'

100%[========================================================================>] 42,496 52.8K/s in 0.8s

2010-06-21 14:06:46 (52.8 KB/s) - `mk-xen40x10.doc' saved [42496/42496]

root@ServerLDX:~/build250610# catdoc mk-xen40x10.doc > mk-xen40x.sh
root@ServerLDX:~/build250610# sh mk-xen40x.sh
# Making: build-x11vnc.sh
# Making: dpkg-i
# Making: dpkg-r
# Making: grub2setup.tgz
# Making: packageXen40x.sh
# Making: remakeXenKernel.sh
# Making: ssvnc_1.0.27_Ubuntu-publish.tgz
# To continue, Run file:
./packageXen40x.sh <releaseTag> # RELEASE-4.0.0 or 4.0.1-rc1
root@ServerLDX:~/build250610# ls -l
total 120
-rwxr-xr-x 1 root root 2110 2010-06-21 14:07 build-x11vnc.sh
-rwxr-xr-x 1 root root 532 2010-06-21 14:07 dpkg-i
-rwxr-xr-x 1 root root 413 2010-06-21 14:07 dpkg-r
-rw-r--r-- 1 root root 2477 2010-06-21 14:07 grub2setup.tgz
-rw-r--r-- 1 root root 42496 2010-06-21 12:21 mk-xen40x10.doc
-rw-r--r-- 1 root root 30145 2010-06-21 14:07 mk-xen40x.sh
-rwxr-xr-x 1 root root 2390 2010-06-21 14:07 packageXen40x.sh
-rwxr-xr-x 1 root root 10278 2010-06-21 14:07 remakeXenKernel.sh
-rw-r--r-- 1 root root 10674 2010-06-21 14:07 ssvnc_1.0.27_Ubuntu-publish.tgz

No *.diff.gz in startup directory. Build fails right away.

Boris Derzhavets (bderzhavets) wrote :

Due to errors in "Xen 4.0.1-rc2 … source & kernels packaged for Ubuntu"
http://virtualusr.wordpress.com/2010/06/17/xen-4-0-1-rc2-source-kernels-packaged-for-ubuntu/
uploaded the most recent xen-4.0_4.0.1rc3-0ubuntu1.diff.gz (working) per User virtual

User Virtual (virtualusr) wrote :

UPDATED Xen 4.0.1-rc2 … source & kernels packaged for Ubuntu
http://virtualusr.wordpress.com/2010/06/17/xen-4-0-1-rc2-source-kernels-packaged-for-ubuntu/
* Updated 2010-06-30

- Added the very important missing xen-4.0-0ubuntu1.diff.gz for all versions. This was a big mistake making this post unusable since the 21st of Jun, SORRY.

- One line was missing in packageXen40x.sh to update xen repository every time it is run without version argument. Previous version could not automatically pick up 4.0.1-rc3, this can and does the build without error.

- Bruce Edge reminded me to retry standard ubuntus “make-kpkg kernel-image” which was broken when I started. Now it seems to be working again. I added a script for really Ubuntu-way of packaging kpkgXenKernel.sh. It’s practically the same as the older remakeXenKernel.sh except the “make-kpkg (Ubuntu) vs deb-pkg (Linux Kernel source)”.
If one of them fails to build you can try the other.

User Virtual (virtualusr) wrote :

NEW Xen 4.0.*.rc* source & kernels packaged for Ubuntu
http://virtualusr.wordpress.com/2010/07/14/xen-4-0-rc-source-kernels-packaged-for-ubuntu/
Posted on 2010-07-14 by virtualusr

Getting better and better

Regards

Boris Derzhavets (bderzhavets) wrote :

Adding “VHD & ZFS 24″ support to Xen 4.0.*.rc* source & kernels packaged for Ubuntu Virtualusr’s Blog

--- packageXen40x.sh.orig 2010-07-16 15:33:03.756414641 +0400
+++ packageXen40x.sh 2010-07-16 15:40:31.546289159 +0400
@@ -35,6 +35,8 @@
 [ -r mk_ub_pgk_source.sh ] && sh mk_ub_pgk_source.sh $SDSC

 # Retreive latest release tag if not specified
+cp fsimage-zfs-24.patch1 $WRKD
+cp blktap2_ctrl_func.patch-xen-testing-4.x.patch1 $WRKD
 cd $WRKD
 [ ! -d $REPOS -a -d ../$REPOS ] && ln -sv ../$REPOS .
 if [ -z "$LREL" ]; then
@@ -43,7 +45,7 @@
  [ -d $REPOS ] || hg clone $REPURL #http://xenbits.xensource.com/$REPOS
  cd $WRKD/$REPOS
  LREL=$(hg tags | sed '/^tip\b /d' | sed -n '1 s/ *.*//p') # RELEASE-4.0.0
- hg pull; hg update
+ hg pull; hg update;
 fi
 RELTAG=$(echo $LREL | sed 's/^RELEASE-//;s/-\([^-]*\)$/\1/') # 4.0.0

@@ -66,6 +68,9 @@
 cd $WRKD/$DEBDIRNAM
 echo Info: Patch with debian diff $UDIFNAME ...
 zcat $STARTDIR/$UDIFNAME | patch -p1
+echo "Info: ZFS & VHD patching"
+ patch -p1 -s -i $WRKD/fsimage-zfs-24.patch1;
+ patch -p1 -s -i $WRKD/blktap2_ctrl_func.patch-xen-testing-4.x.patch1;
 echo Info: Tag change log with the version: $RELTAG-0ubuntu1
 test "$RELTAG" != "4.0.0" && \
  dch -b --newversion $RELTAG-0ubuntu1 "Automated rebuild atempt for new upstream version."

Where do the patch files come from?
I don't see
where fsimage-zfs-24.patch1 blktap2_ctrl_func.patch-xen-testing-4.x.patch1
are retrieved.

-Bruce

On Fri, Jul 16, 2010 at 4:53 AM, Boris Derzhavets <<email address hidden>
> wrote:

> Adding “VHD & ZFS 24″ support to Xen 4.0.*.rc* source & kernels packaged
> for Ubuntu Virtualusr’s Blog
>
> --- packageXen40x.sh.orig 2010-07-16 15:33:03.756414641 +0400
> +++ packageXen40x.sh 2010-07-16 15:40:31.546289159 +0400
> @@ -35,6 +35,8 @@
> [ -r mk_ub_pgk_source.sh ] && sh mk_ub_pgk_source.sh $SDSC
>
> # Retreive latest release tag if not specified
> +cp fsimage-zfs-24.patch1 $WRKD
> +cp blktap2_ctrl_func.patch-xen-testing-4.x.patch1 $WRKD
> cd $WRKD
> [ ! -d $REPOS -a -d ../$REPOS ] && ln -sv ../$REPOS .
> if [ -z "$LREL" ]; then
> @@ -43,7 +45,7 @@
> [ -d $REPOS ] || hg clone $REPURL #
> http://xenbits.xensource.com/$REPOS
> cd $WRKD/$REPOS
> LREL=$(hg tags | sed '/^tip\b /d' | sed -n '1 s/ *.*//p') #
> RELEASE-4.0.0
> - hg pull; hg update
> + hg pull; hg update;
> fi
> RELTAG=$(echo $LREL | sed 's/^RELEASE-//;s/-\([^-]*\)$/\1/') # 4.0.0
>
> @@ -66,6 +68,9 @@
> cd $WRKD/$DEBDIRNAM
> echo Info: Patch with debian diff $UDIFNAME ...
> zcat $STARTDIR/$UDIFNAME | patch -p1
> +echo "Info: ZFS & VHD patching"
> + patch -p1 -s -i $WRKD/fsimage-zfs-24.patch1;
> + patch -p1 -s -i
> $WRKD/blktap2_ctrl_func.patch-xen-testing-4.x.patch1;
> echo Info: Tag change log with the version: $RELTAG-0ubuntu1
> test "$RELTAG" != "4.0.0" && \
> dch -b --newversion $RELTAG-0ubuntu1 "Automated rebuild atempt for
> new upstream version."
>
> --
> Please merge xen-3.4 (3.4.0-2) from debian unstable
> https://bugs.launchpad.net/bugs/378240
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Boris Derzhavets (bderzhavets) wrote :

I've just upload both patches . They have been submitted to xen-devel at different time. I was unable to find link for VHD's one. Link to Mark Johnson's patch may be googled in 5 minutes. VHD's one only for 4.0.1.
Details here :-
http://bderzhavets.wordpress.com/2010/07/16/adding-vhd-zfs-24-support-to-xen-4-0-rc-source-kernels-packaged-for-ubuntu-virtualusrs-blog/
Boris.

Download full text (5.3 KiB)

On Fri, Jul 16, 2010 at 7:08 AM, Boris Derzhavets <<email address hidden>
> wrote:

> I've just upload both patches . They have been submitted to xen-devel at
> different time. I was unable to find link for VHD's one. Link to Mark
> Johnson's patch may be googled in 5 minutes. VHD's one only for 4.0.1.
> Details here :-
>
> http://bderzhavets.wordpress.com/2010/07/16/adding-vhd-zfs-24-support-to-xen-4-0-rc-source-kernels-packaged-for-ubuntu-virtualusrs-blog/
> Boris.

Boris,

Patch doesn't apply to head of xen-testing:

Info: Finding last release tag: hg clone
http://xenbits.xensource.com/xen-4.0-testing.hg; hg pull; hg update
destination directory: xen-4.0-testing.hg
requesting all changes
adding changesets
adding manifests
adding file changes
added 21280 changesets with 114444 changes to 11021 files
updating to branch default
3143 files updated, 0 files merged, 0 files removed, 0 files unresolved
pulling from http://xenbits.xensource.com/xen-4.0-testing.hg
searching for changes
no changes found
0 files updated, 0 files merged, 0 files removed, 0 files unresolved
Info: Making the allinclusive xen-4.0_4.0.1rc4.orig.tar.gz
 LREL=4.0.1-rc4= RELTAG=4.0.1rc4=
patching file debian/xen-utils-4.0.postrm
patching file debian/pycompat
patching file debian/xen-hypervisor-4.0.postrm
patching file debian/xen-utils-4.0.postinst
patching file debian/python-xen-4.0.install
patching file debian/docs
patching file debian/xen-utils-4.0.install
patching file debian/changelog
patching file debian/makeiOrigSource.sh
patching file debian/libxen4.install
patching file debian/xen-utils-4.0.README.Debian
patching file debian/xen-hypervisor-4.0.postinst
patching file debian/xen-utils-4.0.preinst
patching file debian/lnkPatches.sh
patching file debian/compat
patching file debian/libxen4-dev.install
patching file debian/control
patching file debian/rules
patching file debian/xen-docs-4.0.install
patching file debian/copyright
patching file debian/patches-4.0.0/xen-ubuntu-fix-resync.diff
patching file debian/patches-4.0.0/fix-pvgrub.diff
patching file debian/patches-4.0.0/fix-blktap2.diff
patching file debian/patches-4.0.0/init.d_xen.diff
patching file debian/patches-4.0.0/series
patching file debian/patches-4.0.0/grub2-fix.patch
patching file debian/patches-4.0.0/use-python-2.6.diff
patching file debian/patches-4.0.0/misc-docs.diff
patching file debian/patches-4.0.1rc1/xen-ubuntu-fix-resync.diff
patching file debian/patches-4.0.1rc1/fix-pvgrub.diff
patching file debian/patches-4.0.1rc1/fix-blktap2.diff
patching file debian/patches-4.0.1rc1/init.d_xen.diff
patching file debian/patches-4.0.1rc1/series
patching file debian/patches-4.0.1rc1/grub2-fix.patch
patching file debian/patches-4.0.1rc1/use-python-2.6.diff
patching file debian/patches-4.0.1rc1/misc-docs.diff
Info: ZFS & VHD patching
1 out of 1 hunk FAILED -- saving rejects to file
tools/libfsimage/Rules.mk.rej
1 out of 1 hunk FAILED -- saving rejects to file
tools/libfsimage/common/fsimage_grub.h.rej
1 out of 1 hunk FAILED -- saving rejects to file
tools/libfsimage/zfs/Makefile.rej
44 out of 44 hunks FAILED -- saving rejects to file
tools/libfsimage/zfs/fsys_zfs.c.rej
5 out of 5 hunks FAILED -- saving rejects to ...

Read more...

Download full text (10.2 KiB)

Bruce,

I've just rebuilt  *.debs  for 4.0.1-rc4 with now problems.
I tested  on the most recent mercurial as well.
root@ServerLDX:/usr/src/xen-4.0-testing.hg# patch -p1 -s -i ../fsimage-zfs-24.patch1
root@ServerLDX:/usr/src/xen-4.0-testing.hg#

Wouldn't it be a fare for you :-

--------------------------------------------------------------------------------------------------------------------
root@ServerLDX:~# dpkg -l '*xen*'|grep "^ii"

ii  libxen4                4.0.1rc4-0ubuntu1     library interface for Xen, a Virtual Machine
ii  libxen4-dev         4.0.1rc4-0ubuntu1     headers for Xen, a Virtual Machine Monitor
ii  linux-image-2.6.32.16-xen    2.6.32.16-xen-10.00.Custom    Linux kernel binary image for version 2.6.32
ii  python-xen-4.0    4.0.1rc4-0ubuntu1     python bindings for Xen, a Virtual Machine M
ii  xen-docs-4.0       4.0.1rc4-0ubuntu1     documentation for XEN, a Virtual Machine Mon
ii  xen-hypervisor-4.0     4.0.1rc4-0ubuntu1   The Xen Hypervisor for i386 and amd64.
ii  xen-utils-4.0         4.0.1rc4-0ubuntu1   XEN administrative tools

root@ServerLDX:~# xm info
host                   : ServerLDX
release                : 2.6.32.16-xen
version                : #1 SMP Sat Jul 10 13:11:11 MSD 2010
machine                : x86_64
nr_cpus                : 4
nr_nodes               : 1
cores_per_socket       : 4
threads_per_core       : 1
cpu_mhz                : 2833
hw_caps                : bfebfbff:20100800:00000000:00000940:0408e3fd:00000000:00000001:00000000
virt_caps              : hvm
total_memory           : 8190
free_memory            : 1671
node_to_cpu            : node0:0-3
node_to_memory         : node0:1671
node_to_dma32_mem      : node0:809
max_node_id            : 0
xen_major              : 4
xen_minor              : 0
xen_extra              : .1-rc4
xen_caps               : xen-3.0-x86_64 xen-3.0-x86_32p hvm-3.0-x86_32 hvm-3.0-x86_32p hvm-3.0-x86_64
xen_scheduler          : credit
xen_pagesize           : 4096
platform_params        : virt_start=0xffff800000000000
xen_changeset          : unavailable
xen_commandline        :
cc_compiler            : gcc version 4.4.3 (Ubuntu 4.4.3-4ubuntu5)
cc_compile_by          : root
cc_compile_domain      :
cc_compile_date        : Fri Jul 16 18:35:17 MSD 2010
xend_config_format     : 4

I loaded NexentaStor 3.0.2 via pygrub afterwards ( b134 ZFS 24)

root@ServerLDX:~/NexentaStor-Community-3.0.2# xm create -c nexentastor-community-3.0.2-xen.cfg
Using config file "./nexentastor-community-3.0.2-xen.cfg".
Started domain NexentaStor-3.0.2 (id=1)
                                       v4.0.1-rc4 chgset 'unavailable'
SunOS Release 5.11 Version NexentaOS_134d 64-bit
Loading Kernel...
Hostname: myhost
Reading ZFS config: done.
Mounting ZFS filesystems: (6/6)

ZFS Open Storage Appliance (v3.0.2)

myhost console login: root
Password:
Last login: Fri Jul 16 05:58:59 on console
nmc@myhost:/$ show network
Option ?  interface
==== Interfaces ====
lo0: flags=2001000849<UP,LOOPBACK,RUNNING,MULTICAST,IPv4,VIRTUAL> mtu 8232 index 1
        inet 127.0.0.1 netmask ff000000
xnf0: flags=1000842<BROADCAST,RUNNING,MULTICAST,IPv4> mtu 150...

Download full text (3.7 KiB)

I've just rebuilt *.debs for 4.0.1-rc4 with now problems.
I tested on the most recent mercurial as well.
root@ServerLDX:/usr/src/xen-4.0-testing.hg# patch -p1 -s -i ../fsimage-zfs-24.patch1
root@ServerLDX:/usr/src/xen-4.0-testing.hg#

Wouldn't it be a fare for you :-

--------------------------------------------------------------------------------------------------------------------
root@ServerLDX:~# dpkg -l '*xen*'|grep "^ii"

ii libxen4 4.0.1rc4-0ubuntu1 library interface for Xen, a Virtual Machine
ii libxen4-dev 4.0.1rc4-0ubuntu1 headers for Xen, a Virtual Machine Monitor
ii linux-image-2.6.32.16-xen 2.6.32.16-xen-10.00.Custom Linux kernel binary image for version 2.6.32
ii python-xen-4.0 4.0.1rc4-0ubuntu1 python bindings for Xen, a Virtual Machine M
ii xen-docs-4.0 4.0.1rc4-0ubuntu1 documentation for XEN, a Virtual Machine Mon
ii xen-hypervisor-4.0 4.0.1rc4-0ubuntu1 The Xen Hypervisor for i386 and amd64.
ii xen-utils-4.0 4.0.1rc4-0ubuntu1 XEN administrative tools

root@ServerLDX:~# xm info
host : ServerLDX
release : 2.6.32.16-xen
version : #1 SMP Sat Jul 10 13:11:11 MSD 2010
machine : x86_64
nr_cpus : 4
nr_nodes : 1
cores_per_socket : 4
threads_per_core : 1
cpu_mhz : 2833
hw_caps : bfebfbff:20100800:00000000:00000940:0408e3fd:00000000:00000001:00000000
virt_caps : hvm
total_memory : 8190
free_memory : 1671
node_to_cpu : node0:0-3
node_to_memory : node0:1671
node_to_dma32_mem : node0:809
max_node_id : 0
xen_major : 4
xen_minor : 0
xen_extra : .1-rc4
xen_caps : xen-3.0-x86_64 xen-3.0-x86_32p hvm-3.0-x86_32 hvm-3.0-x86_32p hvm-3.0-x86_64
xen_scheduler : credit
xen_pagesize : 4096
platform_params : virt_start=0xffff800000000000
xen_changeset : unavailable
xen_commandline :
cc_compiler : gcc version 4.4.3 (Ubuntu 4.4.3-4ubuntu5)
cc_compile_by : root
cc_compile_domain :
cc_compile_date : Fri Jul 16 18:35:17 MSD 2010
xend_config_format : 4

I loaded NexentaStor 3.0.2 via pygrub afterwards ( b134 ZFS 24)

root@ServerLDX:~/NexentaStor-Community-3.0.2# xm create -c nexentastor-community-3.0.2-xen.cfg
Using config file "./nexentastor-community-3.0.2-xen.cfg".
Started domain NexentaStor-3.0.2 (id=1)
                                       v4.0.1-rc4 chgset 'unavailable'
SunOS Release 5.11 Version NexentaOS_134d 64-bit
Loading Kernel...
Hostname: myhost
Reading ZFS config: done.
Mounting ZFS filesystems: (6/6)

ZFS Open Storage Appliance (v3.0.2)

myhost console login: root
Password:
Last login: Fri Jul 16 05:58:59 on console
nmc@myhost:/$ show network
Option ? interface
==== Interfaces ====
lo0: flags=2001000849<UP,LOOPBACK,RUNNING,MULTICAST,IPv4,VIRTUAL> mtu 8232 index 1
        inet 127.0.0.1 netmask ff000000
xnf0: flags=1000842<BROADCAST,RUNNING,MULTICAST,IPv4> mtu 1500 index 3
        ...

Read more...

Boris Derzhavets (bderzhavets) wrote :
Download full text (3.9 KiB)

Just in case. Patched script should look like :-
root@ServerLDX:~/VirtUser# cat packageXen40x.sh
#!/bin/bash
# Usage:
# ./packageXen40x.sh RELEASE-4.0.0
# ./packageXen40x.sh 4.0.1-rc1
# ./packageXen40x.sh # pickup the latest # 4.0.1-rc3
#
# References:
# *** http://bderzhavets.wordpress.com/
# *** https://bugs.launchpad.net/ubuntu/+source/xen-3.3/+bug/378240
# mikmak wrote on 2009-08-13: xen-3.4_3.4.1-1ubuntu1.diff.gz

LREL=$1

# Global variables
REPOS=xen-4.0-testing.hg
REPURL=http://xenbits.xensource.com/$REPOS
export DEBEMAIL="User Virtual <email address hidden>"
STARTDIR=$(pwd)
export DISTRIB=$(sed -n 's/DISTRIB_CODENAME=//p' /etc/lsb-release)
export CONCURRENCY_LEVEL=$(grep processor /proc/cpuinfo | sed -n '$=')
DEVEL=false # ; DEVEL=true

# Prepare environment
# MUST HAVE RW priviledges to both WRKD and its parent !
export WRKD=/usr/src/build/xen40-$DISTRIB ; [ -d $WRKD ] || mkdir -p $WRKD
export IMGD=/usr/src/wget ; [ -d $IMGD ] || mkdir -p $IMGD

# Install build dependencies
sudo apt-get -y install libcurl4-openssl-dev xserver-xorg-dev mercurial gitk build-essential libncurses5-dev uuid-dev gawk gettext texinfo bcc libncurses5-dev dpkg-dev debhelper iasl texinfo catdvi fakeroot bison flex devscripts
sudo apt-get -y build-dep xen-3.3
# Install recommended run dependencies
sudo apt-get -y install bridge-utils
# Recommended dependency no longer part of current ubuntu archives. Make it from the latest source
SDSC=python-xml_0.8.4-10.1ubuntu2.dsc
[ -r mk_ub_pgk_source.sh ] && sh mk_ub_pgk_source.sh $SDSC

# Retreive latest release tag if not specified
cp fsimage-zfs-24.patch1 $WRKD
cp blktap2_ctrl_func.patch-xen-testing-4.x.patch1 $WRKD
cd $WRKD
[ ! -d $REPOS -a -d ../$REPOS ] && ln -sv ../$REPOS .
if [ -z "$LREL" ]; then
 echo "Info: Finding last release tag: hg clone $REPURL; hg pull; hg update"
 cd $WRKD
 [ -d $REPOS ] || hg clone $REPURL #http://xenbits.xensource.com/$REPOS
 cd $WRKD/$REPOS
 LREL=$(hg tags | sed '/^tip\b /d' | sed -n '1 s/ *.*//p') # RELEASE-4.0.0
 hg pull; hg update;
fi
RELTAG=$(echo $LREL | sed 's/^RELEASE-//;s/-\([^-]*\)$/\1/') # 4.0.0

# Create allinclusive source orig.gz
DEBNAM=xen-$(echo $RELTAG | sed 's/\.[^.]*$//')_$RELTAG
ORIGZ=$DEBNAM.orig.tar.gz
echo "Info: Making the allinclusive $ORIGZ LREL=$LREL= RELTAG=$RELTAG="; sleep 2
MAKEORIGWRKD=$(mktemp -d --tmpdir=$WRKD make.orig.XXXXXX); cd $MAKEORIGWRKD
UDIFNAME=xen-$(echo $RELTAG | sed 's/\.[^.]*$//')-0ubuntu1.diff.gz
zcat $STARTDIR/$UDIFNAME | patch -p1
chmod 755 debian/makeiOrigSource.sh
debian/makeiOrigSource.sh $LREL
cd $WRKD/ ; ! $DEVEL && rm -rf $MAKEORIGWRKD

# Unpack sources
cd $WRKD/
echo Info: Unpack $ORIGZ ...
DEBDIRNAM=$(echo $DEBNAM | sed 's/_/-/')
rm -rf $DEBDIRNAM; tar xzf $ORIGZ; mv $DEBDIRNAM.orig $DEBDIRNAM
cd $WRKD/$DEBDIRNAM
echo Info: Patch with debian diff $UDIFNAME ...
zcat $STARTDIR/$UDIFNAME | patch -p1
echo "Info: ZFS & VHD patching"
        patch -p1 -s -i $WRKD/fsimage-zfs-24.patch1;
        patch -p1 -s -i $WRKD/blktap2_ctrl_func.patch-xen-testing-4.x.patch1;
echo Info: Tag change log with the version: $RELTAG-0ubuntu1
test "$RELTAG" != "4.0.0" && \
 dch -b --newversion $RELTAG-0ubuntu1 "Automated rebuild at...

Read more...

Boris Derzhavets (bderzhavets) wrote :

In your output:-
-----------------------------------------------------------------------------
patching file debian/patches-4.0.1rc1/series
patching file debian/patches-4.0.1rc1/grub2-fix.patch
patching file debian/patches-4.0.1rc1/use-python-2.6.diff
patching file debian/patches-4.0.1rc1/misc-docs.diff
Info: ZFS & VHD patching
1 out of 1 hunk FAILED -- saving rejects to file
tools/libfsimage/Rules.mk.rej
1 out of 1 hunk FAILED -- saving rejects to file
------------------------------------------------------------------------------
On the other hand , where the first echo creating subfolder
$WRKD/$DEBDIRNAM/debian disappeared ?
This one =>
echo Info: Patch with debian diff $UDIFNAME ...
   zcat $STARTDIR/$UDIFNAME | patch -p1
echo "Info: ZFS & VHD patching"
        patch -p1 -s -i $WRKD/fsimage-zfs-24.patch1;
        patch -p1 -s -i $WRKD/blktap2_ctrl_func.patch-xen-testing-4.x.patch1;

On Fri, Jul 16, 2010 at 10:12 AM, Boris Derzhavets <
<email address hidden>> wrote:

> In your output:-
>
> -----------------------------------------------------------------------------
> patching file debian/patches-4.0.1rc1/series
> patching file debian/patches-4.0.1rc1/grub2-fix.patch
> patching file debian/patches-4.0.1rc1/use-python-2.6.diff
> patching file debian/patches-4.0.1rc1/misc-docs.diff
> Info: ZFS & VHD patching
> 1 out of 1 hunk FAILED -- saving rejects to file
> tools/libfsimage/Rules.mk.rej
> 1 out of 1 hunk FAILED -- saving rejects to file
>
> ------------------------------------------------------------------------------
> On the other hand , where the first echo creating subfolder
> $WRKD/$DEBDIRNAM/debian disappeared ?
> This one =>
> echo Info: Patch with debian diff $UDIFNAME ...
> zcat $STARTDIR/$UDIFNAME | patch -p1
> echo "Info: ZFS & VHD patching"
> patch -p1 -s -i $WRKD/fsimage-zfs-24.patch1;
> patch -p1 -s -i
> $WRKD/blktap2_ctrl_func.patch-xen-testing-4.x.patch1;
>
> --
> Please merge xen-3.4 (3.4.0-2) from debian unstable
> https://bugs.launchpad.net/bugs/378240
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Boris, you are correct (as always). It was my fault patching
the packageXen40x.sh script. Your patch didn't apply cleanly to the most
recent
http://virtualusr.files.wordpress.com/2010/07/mk-xen40x-1007131650.docversion
and I applied the hunk with the patches after the wrong zcat.

Thanks.

-Bruce

Benjamin Drung (bdrung) on 2010-07-29
tags: removed: upgrade

Sorry, we missed the FF again (this time it's maverick). To get the package maverick, a feature freeze is required following https://wiki.ubuntu.com/FreezeExceptionProcess, otherwise the package can get into maverick+1.

Things I like to see (that makes sponsoring and maintaining easier):
1) Get all patches into the upstream project (if the patch is Ubuntu specific: find a general purpose solution)
2) Collaborate with the Debian Xen Team. You could offer your help, join the team and improve their package (get it maintained in a VCS, make it lintian clean, get patches upstream, make it simpler, ...)
3) Get it lintian clean (check lintian -iIE --pedantic *.changes) [preferred by solving 2) ]
4) The source tarball should be called 'xen' to get it aligned to Debian.

Please resubscribe ubuntu-sponsor when you have a feature freeze or when maverick+1 is open for upload. For making reviewing easier, please attach a debdiff (from Debian -> Ubuntu) to this bug report if you have a merge prepared or add the source files excluding the source tarballs (.dsc and .diff.gz / .debian.tar.*) if you have an update prepared.

summary: - Please merge xen-3.4 (3.4.0-2) from debian unstable
+ Please merge xen 4.0.1~rc5-1 from Debian unstable (main)
Artur Rona (ari-tczew) on 2010-09-27
summary: - Please merge xen 4.0.1~rc5-1 from Debian unstable (main)
+ Please merge xen 4.0.1~rc5-1 (main) from Debian unstable (main)

Updated Xen 4.0.*.rc* source & kernels packaged for Ubuntu
http://virtualusr.wordpress.com/2010/07/14/xen-4-0-rc-source-kernels-packaged-for-ubuntu/
Posted on 2010-07-14 - Updated on 2010-09-28 by virtualusr

There was bug in comparing release version numbers to versions of available patches. It works now for RELEASE 4.0.1 and all earlier rc-s. No changes in patches, still the same old from 4.0.1rc1.

Regards

Micah Gersten (micahg) wrote :

Confirmed isn't the right status for this since there's nothing for a sponsor to do.

Changed in xen-3.3 (Ubuntu):
status: Confirmed → New
Bart Verwilst (verwilst) wrote :

Debian squeeze has 4.0.1-2 currently. Isn't it possible to just pull this package into Ubuntu and be done with it? It's been over 1.5 years, and we're still stuck on 3.3.. Instead of reinventing the wheel ( and getting nowhere ), why not just cooperate with the Debian maintainers of the Xen package and get Xen support out of the sorry state it is now in Ubuntu?

On Sun, Feb 6, 2011 at 5:08 PM, Bart Verwilst <email address hidden> wrote:

> Debian squeeze has 4.0.1-2 currently. Isn't it possible to just pull
> this package into Ubuntu and be done with it? It's been over 1.5 years,
> and we're still stuck on 3.3.. Instead of reinventing the wheel ( and
> getting nowhere ), why not just cooperate with the Debian maintainers of
> the Xen package and get Xen support out of the sorry state it is now in
> Ubuntu?
>
>

Ubuntu doesn't even hava 3.3 anymore. Ubuntu 8,04 (Hardy ?) did, but now
there's no dom0 kernel in Ubuntu.
It is pretty sad, what with the current virtualization push et al that
Ubuntu has zero Xen options other than roll your own.

I 2nd Bart Verwilst's statement. Is there some sort of process that needs to happen to get the Ubuntu team to drop unmaintained software in favor the the maintained Debian versions? If anything I'd like to see that process be automated: any package untouched by Ubuntu maintainers after 3 or 4 releases just gets dropped and replaced with the Debian version.

tags: added: embarassment
Bart Verwilst (verwilst) wrote :

Any takers for a sync? Please end this never-ending streak of misery.

summary: - Please merge xen 4.0.1~rc5-1 (main) from Debian unstable (main)
+ Please merge xen 4.0.1-2 (main) from Debian unstable (main)

4.1 is out soon. OpenSuse 11.4 should have it.

I submitted patches to the upstream Xen build so it builds as-is for
debian/ubuntu filesystems. This should be a simple packaging exercise.

On Wed, Mar 2, 2011 at 4:35 PM, Bart Verwilst <email address hidden> wrote:

> Any takers for a sync? Please end this never-ending streak of misery.
>
> ** Summary changed:
>
> - Please merge xen 4.0.1~rc5-1 (main) from Debian unstable (main)
> + Please merge xen 4.0.1-2 (main) from Debian unstable (main)
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/378240
>
> Title:
> Please merge xen 4.0.1-2 (main) from Debian unstable (main)
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/xen-3.3/+bug/378240/+subscribe
>

Sami Haahtinen (ressu) wrote :

I've created a package set for Xen 4.0.1 based on the debian packages with minimal changes. They are available in my PPA, but i'd love to file the appropriate bugs and so on if I only knew what to report and where. There doesn't appear to be a policy for this sort of thing.

The packages are available for natty at https://launchpad.net/~ressu/+archive/ppa

Essentially, this change affects 3 source packages. xen-common (which can be built as is), libvirt which needs adjustments in build depends (libxen3-dev -> libxen-dev) and of course xen itself.

Xen needs 2 additional patches and minor modifications for the debian package. The 2 patches fix build process and python 2.7 compatibility. Only other modifications are build dependency modifications.

Sami Haahtinen (ressu) wrote :

And as a note, I don't think it is a good idea to start this mess all over again, by packaging 4.1 outside of the Debian packages. Sure, it'll get Xen 4.1 in faster, but it will most likely end up in the same situation as we are in now.

agent 8131 (agent-8131) wrote :

I think it's clear to everyone that the Ubuntu Team has zero interest in maintaining Xen packages thus Ubuntu should simply use the Debian packages. The question that remains is how to make that happen.

Changed in xen-3.3 (Ubuntu):
status: New → Confirmed
Benjamin Drung (bdrung) wrote :

Sami, can you forward your changes to Debian? Then we can sync the packages from Debian in the next cycle.

If you want to have the xen packages in natty, please provide a debdiff [1]. You need to get a freeze exception [2].

[1] https://wiki.ubuntu.com/SponsorshipProcess
[2] https://wiki.ubuntu.com/FreezeExceptionProcess

Micah Gersten (micahg) wrote :

So, after conferring with Chuck Short, this will need to be a new source package as libvirt needs xen-3.3. So, Debian is currently using xen for 4.x, so for simplicity, I'm moving this bug to that source package. We still need the Freeze exception for it.re.

affects: xen-3.3 (Ubuntu) → xen (Ubuntu)
Sami Haahtinen (ressu) wrote :

I can forward the fixes to Debian, but both of the patches originate from upstream and they are pulled to Debian anyway later on. So unless we can justify a freeze exception for the package there is little point in overloading the Debian maintainers.

Renaming the source is only natural, since Debian already uses xen as the source package name. As for libvirt, the dependency on 3.3 is a build time dependency and my version of libvirt changes that (and that way reverts the package closer to the debian original).

In any case, I'll start preparing the debdiffs and exception request.

On 03/07/2011 10:50 PM, Sami Haahtinen wrote:
> I can forward the fixes to Debian, but both of the patches
> originate from upstream and they are pulled to Debian anyway later
> on. So unless we can justify a freeze exception for the package
> there is little point in overloading the Debian maintainers.
>
> Renaming the source is only natural, since Debian already uses xen
> as the source package name. As for libvirt, the dependency on 3.3
> is a build time dependency and my version of libvirt changes that
> (and that way reverts the package closer to the debian original).
>
> In any case, I'll start preparing the debdiffs and exception
> request.

My point was that it might be easier to get it in without changing
libvirt and working on that next cycle.

Micah

Sami Haahtinen (ressu) wrote :

Sadly libvirt needs to be changed. xen and xen-3.3 packages provide conflicting binary packages and thus xen-3.3 needs to be removed in favor of xen. This leaves libvirt uninstallable.

Not to mention that most tools today that make use of xen use libvirt and so libvirt needs to be rebuilt (that's pretty much all that needs to be done)

Micah Gersten (micahg) wrote :

Subscribed Jamie and Serge as they are recent uploaders of libvirt for comment.

Sami Haahtinen (ressu) wrote :

Here is a debdiff for the package.

As for the freeze exception, most of the rationale is already mentioned here. But to recap:

Xen packaging in Ubuntu is outdated and originates from a source outside of Debian. This patch will allow the usage of Debian xen package in Ubuntu. This package requires pulling xen-common package from Debian as well as rebuilding libvirt with libxen-dev as the dependency.

Current Xen packaging is horribly outdated and will hurt Ubuntu's image if a release is made with it.

Sami Haahtinen (ressu) wrote :

Kicking this bug a bit. Is there something I can do to further help Xen adoption to ubuntu 11.10?

agent 8131 (agent-8131) wrote :

For anyone that's interested I've packaged Xen 4.1.0 and 4.0.1 for Ubuntu. So far I've only released on 10.04 but I hope the debs will work for other Ubunutu versions, and Debian as well. My strategy was to create a package that duplicated the Xen install without all the extra packaging done by the Ubuntu and Debian packages. I've also catered to my needs, so at the moment no SDL and no pvgrub. Still it's a lot easier than compiling Xen on every single server. You can find them here:

https://launchpad.net/~agent-8131/+archive/ppa

They seem to work well with the Debian 6.0 Xen kernel.

Clint Byrum (clint-fewbar) wrote :

Xen is at version 4.1.0-3ubuntu4 in Oneiric. Closing this bug as "Fix Released" and unsubscribing Ubuntu sponsors. Thanks to everyone who contributed and help influence the process that is bringing excellent Xen support to Ubuntu. I would encourage you all to test out Oneiric and continue to give feedback in bug reports and on the ubuntu-server mailing list!

Changed in xen (Ubuntu):
status: Confirmed → Fix Released
tags: removed: embarassment
User Virtual (virtualusr) wrote :

I wasn't following this thread since Jan'11. Great news making my packager of all Xen-4 versions finally obsolete.
http://virtualusr.wordpress.com/2011/01/20/xen-4-x-testing-unstable-ubuntu/ (Updated 2011-07-10)

FYI, last week updated to enable packaging 4.1.1 and 4.0.2. No more patches needed for 4.1.1 (and latter), all is directly from XenSource just packaged. The same goes for packager for dom0-kernels used here - directly from xensource.com. Let's hope this was the last update. (Using this to run packaged xen4* since Jun'10)

Waiting to test Oneiric dom0. :)

(Ekaterina 25y.o) New reply for you.

Hi! I am Ekaterina 25y.o
I have new photos, please chek mailbox for new reply here:

http://sonya201010.com.ua/?message_from=Ekaterina

yours Ekaterina
with love

Note!
New free service! check info at the site!
( to unsubscribe -click link and enter e-mail address.)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.